package cn.com.qmth.scancentral.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.scancentral.controller.BaseController;
import cn.com.qmth.scancentral.service.StudentService;
import cn.com.qmth.scancentral.vo.student.StudentAnswerVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController("adminStudentController")
@Api(tags = "管理功能-考生接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/admin/student")
@Aac(strict = false, auth = true)
public class StudentController extends BaseController {

    @Autowired
    private StudentService studentService;

    @ApiOperation(value = "考生查询")
    @PostMapping("answer")
    public StudentAnswerVo studentAnswer(@RequestParam Long batchId, @RequestParam Long studentId) {
        return studentService.studentAnswer(batchId, studentId);
    }

}
