package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.AuditingWithoutIdEntity;
import cn.com.qmth.scancentral.enums.ExamMode;
import cn.com.qmth.scancentral.enums.ImageTransferMode;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import java.util.List;

// 考试
@TableName(value = "sc_exam", autoResultMap = true)
public class ExamEntity extends AuditingWithoutIdEntity {

    private static final long serialVersionUID = 2232451399940497087L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private String name;

    private Boolean enable;

    private ExamMode mode;

    private Boolean scanByPackage;

    private Boolean allowUnexistPaper;

    private Integer answerFrontCardType;

    private Boolean enableSinglePageAnswer;

    private ImageTransferMode imageTransferMode;

    private Boolean enableUpload;

    private Boolean enableSyncVerify;

    @TableField(value = "paper_type_barcode_content", typeHandler = JacksonTypeHandler.class)
    private List<String> paperTypeBarcodeContent;

    private String absentBarcodeContent;

    // 图片抽查比例
    private Double imageCheckRatio;

    // 考生同步时间
    private Long dataSyncTime;

    // 卡格式同步时间
    private Long cardSyncTime;

    // 缺考校验生成位数
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer examNumberFillCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public ExamMode getMode() {
        return mode;
    }

    public void setMode(ExamMode mode) {
        this.mode = mode;
    }

    public Boolean getScanByPackage() {
        return scanByPackage;
    }

    public void setScanByPackage(Boolean scanByPackage) {
        this.scanByPackage = scanByPackage;
    }

    public Boolean getAllowUnexistPaper() {
        return allowUnexistPaper;
    }

    public void setAllowUnexistPaper(Boolean allowUnexistPaper) {
        this.allowUnexistPaper = allowUnexistPaper;
    }

    public Integer getAnswerFrontCardType() {
        return answerFrontCardType;
    }

    public void setAnswerFrontCardType(Integer answerFrontCardType) {
        this.answerFrontCardType = answerFrontCardType;
    }

    public Boolean getEnableSinglePageAnswer() {
        return enableSinglePageAnswer;
    }

    public void setEnableSinglePageAnswer(Boolean enableSinglePageAnswer) {
        this.enableSinglePageAnswer = enableSinglePageAnswer;
    }

    public Boolean getEnableUpload() {
        return enableUpload;
    }

    public void setEnableUpload(Boolean enableUpload) {
        this.enableUpload = enableUpload;
    }

    public ImageTransferMode getImageTransferMode() {
        return imageTransferMode;
    }

    public void setImageTransferMode(ImageTransferMode imageTransferMode) {
        this.imageTransferMode = imageTransferMode;
    }

    public Boolean getEnableSyncVerify() {
        return enableSyncVerify;
    }

    public void setEnableSyncVerify(Boolean enableSyncVerify) {
        this.enableSyncVerify = enableSyncVerify;
    }

    public List<String> getPaperTypeBarcodeContent() {
        return paperTypeBarcodeContent;
    }

    public void setPaperTypeBarcodeContent(List<String> paperTypeBarcodeContent) {
        this.paperTypeBarcodeContent = paperTypeBarcodeContent;
    }

    public String getAbsentBarcodeContent() {
        return absentBarcodeContent;
    }

    public void setAbsentBarcodeContent(String absentBarcodeContent) {
        this.absentBarcodeContent = absentBarcodeContent;
    }

    public Double getImageCheckRatio() {
        return imageCheckRatio;
    }

    public void setImageCheckRatio(Double imageCheckRatio) {
        this.imageCheckRatio = imageCheckRatio;
    }

    public Long getDataSyncTime() {
        return dataSyncTime;
    }

    public void setDataSyncTime(Long dataSyncTime) {
        this.dataSyncTime = dataSyncTime;
    }

    public Long getCardSyncTime() {
        return cardSyncTime;
    }

    public void setCardSyncTime(Long cardSyncTime) {
        this.cardSyncTime = cardSyncTime;
    }

    public Integer getExamNumberFillCount() {
        return examNumberFillCount;
    }

    public void setExamNumberFillCount(Integer examNumberFillCount) {
        this.examNumberFillCount = examNumberFillCount;
    }
}
